
function love.load()
	splash_image = love.graphics.newImage('assets/splash_scaled.png')
	alpha = 0
	pos = -600
	speed = 300
end

function love.update(dt)
	if pos < 0 then
		pos = pos + (dt * (speed / 2))
		if pos > 0 then
			pos = 0
		end
	end
    if pos < 0 and alpha < 255 then
		alpha = alpha + (dt * speed)
		if alpha > 255 then
			alpha = 255
		end
    elseif pos == 0 then
		alpha = alpha - (dt * speed)
	end
	if alpha > 255 then
		alpha = 255
    elseif alpha <= 0 then
		love.event.push("q")
	end
end

function love.draw()
    love.graphics.setColor(255, 255, 255, alpha)
    love.graphics.draw(splash_image, 0, pos)
end
